Page MenuHomePhabricator

ORES precaching seem to not understand its own config
Closed, ResolvedPublic

Description

It seems like the /v3/precache endpoint does not respect it's own configuration. Looking into the deploy repo, the precaching config is:

precache:
  damaging:
    "on": ["edit"]
  drafttopic:
    "on": ["page_creation"]
  goodfaith:
    "on": ["edit"]

However, if I manually post an event for a page creation to the endpoint, the result only contains goodfaith model and not the two others.

Additionally, for page creation is does not quite work at all - it expects the rev_parent_id to be NULL, if it's undefined it fails with a 400.

Event Timeline

Pchelolo triaged this task as Medium priority.Dec 6 2018, 12:48 AM
Pchelolo created this task.

I will pick this up this Thursday. Sorry I can't do it sooner (team offsite, conference, etc.)

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 10 2018, 2:24 PM

I found it what's wrong. Will fix it and deploy it ASAP.

Mentioned in SAL (#wikimedia-operations) [2018-12-13T17:32:02Z] <ladsgroup@deploy1001> Started deploy [ores/deploy@1a3de73]: T211267

Mentioned in SAL (#wikimedia-operations) [2018-12-13T17:45:55Z] <ladsgroup@deploy1001> Finished deploy [ores/deploy@1a3de73]: T211267 (duration: 13m 53s)

The 400 issue is not resolved yet. Will work on it tomorrow.

Halfak renamed this task from ORES preaching seem to not understand it's own config to ORES precaching seem to not understand it's own config.Dec 13 2018, 8:05 PM
mobrovac renamed this task from ORES precaching seem to not understand it's own config to ORES precaching seem to not understand its own config.Dec 14 2018, 11:51 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:02:34Z] <ladsgroup@deploy1001> Finished deploy [ores/deploy@18d3657]: T206333 T211267 (duration: 14m 14s)

Ladsgroup closed this task as Resolved.Dec 17 2018, 12:33 PM
Ladsgroup moved this task from Review to Done on the Machine Learning Platform (Current) board.

The second part is also done:


(Ignore the spike, everything after that went to zero)